Bug 454 - implement reset functionality
Summary: implement reset functionality
Status: RESOLVED FIXED
Alias: None
Product: UIM
Classification: Unclassified
Component: libuim (show other bugs)
Version: unspecified
Hardware: All All
: high normal
Assignee: TOKUNAGA Hiroyuki
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-10 20:48 UTC by Yusuke TABATA
Modified: 2004-09-29 15:17 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Yusuke TABATA 2004-04-10 20:48:49 UTC
uim_reset does nothing. we have to implement following items
(1) remove preedit
(2) commit remaining string
Comment 1 YamaKen 2004-07-05 06:35:07 UTC
(In reply to comment #0)
> uim_reset does nothing. we have to implement following items
> (2) commit remaining string

I think that string must not be committed on reset. QUimInputContext requires
such behavior on preedit relocation between widgets that sharing a input context.
Comment 2 Yusuke TABATA 2004-07-11 10:42:36 UTC
I implemented comment #0's (1): 
remove preedit when uim_reset_context called in r982.
Comment 3 Yusuke TABATA 2004-09-30 08:17:54 UTC
anthy, skk, prime, generic already have sufficient reset handler.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.